Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputInlineQueryResultSticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult
it.tdlight.jni.TdApi.InputInlineQueryResultSticker

Enclosing class:
  TdApi

public static final class TdApi.InputInlineQueryResultSticker extends TdApi.InputInlineQueryResult
Represents a link to a WEBP or TGS sticker.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`id`
Unique identifier of the query result.
`TdApi.InputMessageContent`
`inputMessageContent`
The content of the message to be sent.
`TdApi.ReplyMarkup`
`replyMarkup`
The message reply markup; pass null if none.
`int`
`stickerHeight`
Height of the sticker.
`String`
`stickerUrl`
The URL of the WEBP or TGS sticker (sticker file size must not exceed 5MB).
`int`
`stickerWidth`
Width of the sticker.
`String`
`thumbnailUrl`
URL of the sticker thumbnail, if it exists.

## Constructor Summary

Constructors
Constructor
Description
`InputInlineQueryResultSticker()`
Represents a link to a WEBP or TGS sticker.
`InputInlineQueryResultSticker(DataInput input)`
Represents a link to a WEBP or TGS sticker.
`InputInlineQueryResultSticker(String id, String thumbnailUrl, String stickerUrl, int stickerWidth, int stickerHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Represents a link to a WEBP or TGS sticker.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### thumbnailUrl

public String thumbnailUrl
URL of the sticker thumbnail, if it exists.

### stickerUrl

public String stickerUrl
The URL of the WEBP or TGS sticker (sticker file size must not exceed 5MB).

### stickerWidth

public int stickerWidth
Width of the sticker.

### stickerHeight

public int stickerHeight
Height of the sticker.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageSticker, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputInlineQueryResultSticker

public InputInlineQueryResultSticker()
Represents a link to a WEBP or TGS sticker.

### InputInlineQueryResultSticker

public InputInlineQueryResultSticker(String id, String thumbnailUrl, String stickerUrl, int stickerWidth, int stickerHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Represents a link to a WEBP or TGS sticker.

Parameters:
  `id` - String Unique identifier of the query result.
  `thumbnailUrl` - String URL of the sticker thumbnail, if it exists.
  `stickerUrl` - String The URL of the WEBP or TGS sticker (sticker file size must not exceed 5MB).
  `stickerWidth` - int Width of the sticker.
  `stickerHeight` - int Height of the sticker.
  `replyMarkup` - ReplyMarkup The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - InputMessageContent The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageSticker, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### InputInlineQueryResultSticker

public InputInlineQueryResultSticker(DataInput input) throws IOException
Represents a link to a WEBP or TGS sticker.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`